VERSION 5.00
Begin VB.UserControl Button 
   BackStyle       =   0  'Transparent
   ClientHeight    =   1890
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3210
   PropertyPages   =   "OvalButton.ctx":0000
   ScaleHeight     =   1890
   ScaleWidth      =   3210
   Begin VB.Label lblBtnCaption 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Oval Button"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   240
      Left            =   825
      TabIndex        =   0
      Top             =   570
      Width           =   1005
   End
   Begin VB.Shape Oval 
      BorderStyle     =   0  'Transparent
      FillColor       =   &H00808080&
      FillStyle       =   0  'Solid
      Height          =   1350
      Left            =   0
      Shape           =   2  'Oval
      Top             =   0
      Width           =   2640
   End
End
Attribute VB_Name = "Button"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "PropPageWizardRun" ,"Yes"
Option Explicit


Public Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
Public Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
Public Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Public Event Click()



Private Sub lblBtnCaption_Click()
RaiseEvent Click
End Sub



Private Sub lblBtnCaption_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)


RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

Private Sub UserControl_Click()
RaiseEvent Click
End Sub

Private Sub UserControl_Initialize()
Dim lContBackColor As Long

CenterCaption

UserControl.BackColor = vbWhite


End Sub



Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
RaiseEvent MouseDown(Button, Shift, X, Y)

End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
Oval.FillColor = PropBag.ReadProperty("BackColor", QBColor(8))

lblBtnCaption.ForeColor = PropBag.ReadProperty("ForeColor", vbBlack)
lblBtnCaption.Caption = PropBag.ReadProperty("Caption", "OvalButton1")
lblBtnCaption.FontName = PropBag.ReadProperty("FontName", "Arial")
lblBtnCaption.FontBold = PropBag.ReadProperty("FontBold", False)
lblBtnCaption.FontItalic = PropBag.ReadProperty("FontItalic", False)
lblBtnCaption.FontUnderline = PropBag.ReadProperty("FontUnderline", False)
lblBtnCaption.FontSize = PropBag.ReadProperty("FontSize", 10)

CenterCaption
End Sub

Private Sub UserControl_Resize()
On Error Resume Next
Oval.Top = 0
Oval.Left = 0
Oval.Width = UserControl.Width
Oval.Height = UserControl.Height
CenterCaption
End Sub

Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_ProcData.VB_Invoke_Property = "ColorPropertyPage"
    BackColor = Oval.FillColor
End Property

Public Property Let BackColor(ByVal NewValue As OLE_COLOR)
    On Error Resume Next
    Oval.FillColor = NewValue
End Property

Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_ProcData.VB_Invoke_Property = "ColorPropertyPage"
    
    ForeColor = lblBtnCaption.ForeColor
    
End Property

Public Property Let ForeColor(ByVal NewValue As OLE_COLOR)
    On Error Resume Next
    lblBtnCaption.ForeColor = NewValue
End Property

Public Property Get Caption() As String
Attribute Caption.VB_ProcData.VB_Invoke_Property = "ColorPropertyPage"
Caption = lblBtnCaption.Caption
End Property

Public Property Let Caption(ByVal NewValue As String)
lblBtnCaption.Caption = NewValue
CenterCaption
End Property

Public Property Get FontName() As String
Attribute FontName.VB_ProcData.VB_Invoke_Property = "ColorPropertyPage"
FontName = lblBtnCaption.Font
End Property

Public Property Let FontName(ByVal NewValue As String)
On Error Resume Next
lblBtnCaption.FontName = NewValue
CenterCaption
End Property

Public Property Get FontBold() As Boolean
Attribute FontBold.VB_ProcData.VB_Invoke_Property = "ColorPropertyPage"
FontBold = lblBtnCaption.FontBold
End Property

Public Property Let FontBold(ByVal NewValue As Boolean)
lblBtnCaption.FontBold = NewValue
End Property
Public Property Get FontItalic() As Boolean
Attribute FontItalic.VB_ProcData.VB_Invoke_Property = "ColorPropertyPage"
FontItalic = lblBtnCaption.FontItalic
End Property

Public Property Let FontItalic(ByVal NewValue As Boolean)
lblBtnCaption.FontItalic = NewValue
End Property
Public Property Get FontUnderline() As Boolean
Attribute FontUnderline.VB_ProcData.VB_Invoke_Property = "ColorPropertyPage"
FontUnderline = lblBtnCaption.FontUnderline
End Property

Public Property Let FontUnderline(ByVal NewValue As Boolean)
lblBtnCaption.FontUnderline = NewValue
End Property

Private Sub CenterCaption()
lblBtnCaption.Left = (UserControl.Width - lblBtnCaption.Width) / 2
lblBtnCaption.Top = (UserControl.Height - lblBtnCaption.Height) / 2

End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
PropBag.WriteProperty "BackColor", Oval.FillColor
PropBag.WriteProperty "ForeColor", lblBtnCaption.ForeColor, vbBlack
PropBag.WriteProperty "Caption", lblBtnCaption.Caption
PropBag.WriteProperty "FontName", lblBtnCaption.FontName
PropBag.WriteProperty "FontBold", lblBtnCaption.FontBold
PropBag.WriteProperty "FontUnderline", lblBtnCaption.FontUnderline
PropBag.WriteProperty "FontItalic", lblBtnCaption.FontItalic
PropBag.WriteProperty "FontSize", lblBtnCaption.FontSize


End Sub




Public Property Get FontSize() As Integer
Attribute FontSize.VB_ProcData.VB_Invoke_Property = "ColorPropertyPage"
FontSize = lblBtnCaption.FontSize
End Property

Public Property Let FontSize(ByVal NewValue As Integer)
lblBtnCaption.FontSize = NewValue
CenterCaption
End Property



